name: Deploy

on:
  push:
    branches:
      - main

jobs:
  deploy:
    runs-on: benny-vps
    steps:
      - name: Pull latest code
        run: |
          cd /var/www/bennysblog
          git pull origin main

      - name: Install Python dependencies
        run: |
          cd /var/www/bennysblog
          python3 -m pip install -r requirements.txt --quiet

      - name: Build CSS
        run: |
          cd /var/www/bennysblog
          npx tailwindcss \
            -i static/src/app.css \
            -o static/css/app.css \
            --minify

      - name: Restart service
        run: sudo systemctl restart benny
